LINUX.ORG.RU
решено ФорумTalks

ноут с AMD HD7000 - драйвера норм?


0

1

надо купить ноут, хочу с AMD, а вот к HD7000 опенсорсным драйверам вопрос - мало что поддерживается там и не скоро будет, именно для этой серии карт

вопрос: а бинарный проприетарный драйвер для AMD он вообще нормальный? в смысле, по сравнению с nVidia, к которому нареканий нет

AMD побороли свою кривизну драйверов под Linux?

хорошо, HD7000 - относительно дорогие ноуты, а что на счет HD6000? самый дешевый с OpenGL 4.2 это HD6290, вполне подойдет мне именно последняя версия OpenGL надо для работы

ну вращается себе блоб на HD5000 и HD6000, нормуль.

x0r ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Поздравляю, ты был затроллен местным AMD-троллем. :)

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

а по существу? гнусная проприетарщина блоб от AMD она будет более менее стабильно работать на Linux? хочу брать ноут на HD6320

просто с картами ATI я сталкивался с тем что они глючили под Linux даже с vesa дровами, а nVidia всегда идеально

го проблема в том что идеальный ноут по всем характеристикам и цене - на AMD и AMD же видяхе, а любые с nVidia (даже хилыми) - значительно дороже

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

HD6320

Там внутри на самом деле архитектура HD4000, которую уже выкинули в легаси. Такие дела.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

и что, драйвер от HD4000 будет? или от HD6000 - он хороший опенсорсный есть для 6K, мне главное чтобы хотя бы с блобом не было проблем

я пытаюсь понять, тот факт что внутри архитектура старая, влечет ли это старую софтовую поддержку, может там только внутри так

мне главное что HD6320 держит OpenGL 4.2, хотя старые HD4000 только OpenGL 3.3

неужели софтово держит 4.2? или все же аппаратно, я реально запутался, не работал с картами AMD, а то получается будто geforce 4 mx когда то был который по сути geforce 2 всего лишь был :)

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

я пытаюсь понять, тот факт что внутри архитектура старая, влечет ли это старую софтовую поддержку, может там только внутри так

Тут по ЛОРу поищи, многие уже поставили свежий 12.6 катаглист и наткнулись на то, что он не работает, т.к. надо ставить 12.6 легаси. А через годик-полтора дропнут легаси-драйвер для этой архитектуры и будешь ты со свободным сидеть, который, конечно, лучше, чем нуво - но до любого из блобов ему очень далеко.

Мой тебе совет, купи на Ivy Bridge с HD4000, это тот же уровень, даже наверное повеселее - около GF 8600GT, только с интеловскими дровами у тебя явно не будет такой засады.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

Тут по ЛОРу поищи, многие уже поставили свежий 12.6 катаглист и наткнулись на то, что он не работает, т.к. надо ставить 12.6 легаси.

О том, что 12.4 последний регулярный релиз с поддержкой карт на чипах R600-R700 - писали ещё в апреле. (6310 это кстати не R600 или R700, а Evergreen.)

А через годик-полтора

Ну вот откуда это? И с чего вы вообще взяли, что для Radeon 6310 нужен Legacy-драйвер?

Мой тебе совет, купи на Ivy Bridge с HD4000

И жди потом OpenGL 4 джва года.

RussianNeuroMancer ★★★★★ ()

AMD побороли свою кривизну драйверов под Linux?

разве что частично

onon ★★★ ()
Ответ на: комментарий от I-Love-Microsoft

просто с картами ATI я сталкивался с тем что они глючили под Linux даже с vesa дровами, а nVidia всегда идеально

Могу обратно про невидию рассказать, кому как повезло. Тем не менее последние несколько лет юзаю fglrx+ati/amd нескольких разных поколений, как на десктопах, та и на ноутах. Проблем нету ни каких.

erfea ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

гнусная проприетарщина блоб от AMD она будет более менее стабильно работать на Linux?

Ты сильно удивишься, если я тебе скажу, что гораздо стабильней, чем на винде? Не потому, что под линукс у них драйвер такой чудесный, вовсе нет, просто для винды у них не драйвер, а одно недоразумение.

malices_gossips ★★★ ()
Ответ на: комментарий от malices_gossips

Ты сильно удивишься, если я тебе скажу, что гораздо стабильней, чем на винде? Не потому, что под линукс у них драйвер такой чудесный, вовсе нет, просто для винды у них не драйвер, а одно недоразумение.

Кстати у жены HD6970 под семёркой ой как чудесит. Может серым залить экран секунд от 20 до на всегда, посреди самого горячего момента в играх. В лялихе такого нету.

erfea ★★★★★ ()
Ответ на: комментарий от erfea

Кстати у жены HD6970 под семёркой ой как чудесит.

У меня под виндой отлично работает, постоянно bf3 гоняет. Рядом лежит вторая 6970, жду возможности заменить БП и материнку.

В лялихе такого нету.

Да. Только у меня firefox тормозит прокрутку на 6970 + блоб. Раньше такого не было, не могу понять, где проблема. Вчера сдёрнул блоб 12.6, но поставить ещё не успел.

ekzotech ★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Ага. Сегодня же попробую, вчера ад какой-то с интернетом творился, драйвер качался на 60 кбит/сек, потом скорость и вовсе упала (и так не только с support.amd.com, пинг был вчера от 500 и выше, даже в бф3 нипаиграть). Так что вечером обязательно попробую 12.6 и новое 2д ускорение. Если не поможет - буду пробовать ppa xorg-edgers.

ekzotech ★★★★ ()
Ответ на: комментарий от pekmop1024

Не забываем, что в месе нет опенгл 4.2 — пока только 3.0.

carasin ★★★★★ ()
Ответ на: комментарий от carasin

OGL 4 там все равно не поможет, ибо там несравнимо маленькое по сравнению с десктопной графикой количество шейдерных блоков.
А игры которые сейчас появятся (и если появятся) все равно будут ориентироваться на OpenGL 3, т.к на маках четвертой версии пока тоже нет.

winddos ★★★ ()
Ответ на: комментарий от winddos

Однако, на Intel HD 3000 нормально бегают Valve'овские игры. Но ТС'у-то нужно именно OpenGL, конкретно про игры он ничего не говорил.

carasin ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

А с легаси драйвером ускорение работает? Я пробовал, как тормозила плавная прокрутка в firefox, так и тормозит (ещё и в хроме тормозит, но если отключить эффекты — летает (не тормозит в обоих случаях в обоих браузерах со свободным драйвером)). Пробовал еще KWin direct rendering, вся картинка в кашу превратилась.

NotecX ()

Да простит меня RussianNeuroMancer, но если хочется, чтобы все работало здесь и сейчас - драйверы этого не позволят. Сейчас мое пользование картой Radeon - это что-то вроде «вот через месяц обещали сон пофиксить», а потом сидишь, работаешь - внезапно падают иксы - «ну, и это наверное тоже пофиксят...» - причем после покупки в мае эти мысли ничуть не изменились.

ArtKun ★★★★★ ()
Ответ на: комментарий от NotecX

А с легаси драйвером ускорение работает? Я пробовал, как тормозила плавная прокрутка в firefox, так и тормозит

Тогда вы может наткнулись уже на баг Firefox.

ещё и в хроме тормозит

С хромом в отношении прокрутки другая история (там иной подход к её реализации) но может поможет зафорсить использование GPU в Chrome (там или что-то в chrome://flags, или какой-то ключ запуска).

Пробовал еще KWin direct rendering, вся картинка в кашу превратилась.

Попробуйте kwinrc прибить перед включением.

RussianNeuroMancer ★★★★★ ()
Последнее исправление: RussianNeuroMancer (всего исправлений: 1)
Ответ на: комментарий от RussianNeuroMancer

С хромом в отношении прокрутки другая история (там иной подход к её реализации) но может поможет зафорсить использование GPU в Chrome (там или что-то в chrome://flags, или какой-то ключ запуска).

А тут уже баг в Chrome.

Попробуйте kwinrc прибить перед включением.

Как? Не уверен, где это. Это «Включать графические эффекты при входе в систему»?

NotecX ()
Ответ на: комментарий от NotecX

А тут уже баг в Chrome.

В комментариях кое-кому помогает отключить Flash.

Не уверен, где это.

В .kde/share/config/.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от ArtKun

вроде «вот через месяц обещали сон пофиксить»

Ни на одной ОС и ни с одним драйвером нет гарантии того, что сон будет работать на всех конфигурациях железа (тем более с учётом того, сколько костылей городят в ACPI вендоры железа). Вон, из changelog драйвера nVidia для Windows версии 301.42 - DVI sleep fix (ещё про Windows). Или вон недавний тред про MacOS (этот же баг на форуме Apple - и в самом деле уже год не правят). Спящий режим в nouveau допилили только к версии 1.0, и то не на всех картах. Есть ли необходимость в том, чтобы и дальше приводить примеры?
Хорошо там, где нас нет, как говорится.

а потом сидишь, работаешь - внезапно падают иксы - «ну, и это наверное тоже пофиксят...»

Ну во-первых, как тут всё уже отлично знают (потому что я привёл эту ссылку 100500 раз) падение может быть не по вине драйвера, а во-вторых - как вам удаётся уронить Иксы с Catalyst 12.6?

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

В комментариях кое-кому помогает отключить Flash.

Там не во flash проблема. Проблема в том, что flash, игнорируя chrome://flags, каким-то образом вызывает аппаратное ускорение, которое сломано и выдает такие глюки. Если ускорение зафорсить через chrome://flags, глюки будут везде, даже здесь, на ЛОРе. Приходится сидеть с --blacklist-accelerated-compositing.

Сейчас попробовал снова KWin direct rendering, при появлении рабочего стола на мгновение весь экран покрылся артефактами (думаю из-за плавного появления, при открытии dolphin место, где он потом открылся, тоже было в артефактах). И ещё, VSync перестал работать. Сейчас ещё раз попробую.

Кстати, насчет VSync, он у меня не работает в полноэкранных приложениях, галка установлена в каталисте в «Снижение помех». Если её снять, VSync начинает работать в полноэкранных приложениях. Конкретно, наблюдал в Psychonauts.

NotecX ()
Ответ на: комментарий от NotecX

Проблема в том, что flash, игнорируя chrome://flags, каким-то образом вызывает аппаратное ускорение, которое сломано и выдает такие глюки.

Flash 11.3 похоже вообще не тестировали на Linux. У меня, и у кучи народу (если судить по багтрекеру Chrome) в нём отвалился звук, например.

Как вариант, попробуйте поставить Chromium вместо Chrome (той же версии, но без Flash) и проверить аппаратное ускорение с ним. Судя по этой новости, разработчики из Google всё, что им нужно от Catalyst, получили ещё полгода назад.

И ещё, VSync перестал работать.

V-Sync в KWin отключаете, а в Catalyst включите «Снижение помех».

Кстати, насчет VSync, он у меня не работает в полноэкранных приложениях, галка установлена в каталисте в «Снижение помех». Если её снять, VSync начинает работать в полноэкранных приложениях. Конкретно, наблюдал в Psychonauts.

В настройках KWin попробуйте галку «Отключить графические эффекты для полноэкранных окон».

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от NotecX

И ещё раз попробовал KWin direct rendering, ничего не изменилось. Улучшений никаких не заметил. Что вообще эта опция должна дать?

О, заметил, что при выключенном VSync прокрутка в хроме плавнее стала. Но тиринг жуткий во всём.

NotecX ()
Ответ на: комментарий от NotecX

Что вообще эта опция должна дать?

Это.

Но тиринг жуткий во всём.

При включённом «Снижении помех»?

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Как вариант, попробуйте поставить Chromium вместо Chrome (той же версии, но без Flash) и проверить аппаратное ускорение с ним. Судя по этой новости, разработчики из Google всё, что им нужно от Catalyst, получили ещё полгода назад.

Пробовал, тот же баг.

V-Sync в KWin отключаете, а в Catalyst включите «Снижение помех».

Не помогает.

В настройках KWin попробуйте галку «Отключить графические эффекты для полноэкранных окон».

Не помогает.

:(

NotecX ()
Ответ на: комментарий от RussianNeuroMancer

Это

Странно, у меня и так переключение каруселью работает.

При включённом «Снижении помех»?

Да.

NotecX ()
Ответ на: комментарий от NotecX

Пробовал, тот же баг.

Не помогает.

Возможно баг fglrx 8.97, т.к. на fglrx 8.98 воспроизвести не могу. Пишите сюда, ну или если конкретно у вас нет необходимости в проприетарном драйвере (не нужен OpenGL 4 и аппаратный декодер видео) то почему бы не поставить свободный?

Странно, у меня и так переключение каруселью работает.

Возможно я путаю конкретно насчёт карусели. Помню, что нескольких эффектов это касалось.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Про KWin direct rendering и верт. синхронизацию: вернул всё обратно, меня всё устраивает, а данный тиринг не критичен, он только в полноэкранных играх играх. Заводить баг не буду, раз он не воспроизводится в более новых версиях драйвера.

А плавность прокрутки в хроме восстановил, отключив эффект «Размытие». Теперь не тормозит.

NotecX ()
Ответ на: комментарий от NotecX

Заводить баг не буду, раз он не воспроизводится в более новых версиях драйвера.

Если что, AMD обещают бэкпортить наиболее важные фиксы в Legacy-ветку.

А плавность прокрутки в хроме восстановил, отключив эффект «Размытие». Теперь не тормозит.

Славно.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от carasin

Ну я как бы о том, что отсутствие свежего OGL в месе не о чем не говорит и никак не мешает юзать эти карты на 100%.
Когда на маке появится GL4 наверняка он в mesa уже будет :)

winddos ★★★ ()
Ответ на: комментарий от RussianNeuroMancer

т.е. что бы там ни говорили про то что E450+HD6320 это старье изнутри по части видео, но драйвер будет именно новый?

я не понимаю кому верить, может там внутри и правда HD4000, но «внешний интерфейс» видеокарты работает именно с драйвером HD6000

я зашел на amd.com, вбил поиск драйвера notebook graphics/E-series APU/E-450 APU/Linux x86_64

и вышел на ссылку AMD Catalyst™ 12.6 Proprietary Linux x86 Display Driver 101.8 MB 12.6 6/28/2012

это легаси или не легаси? помоги, RussianNeuroMancer, только ты знаешь истину :)

I-Love-Microsoft ★★★★★ ()

AMD побороли свою кривизну драйверов под Linux?

Нет.

bsdfun ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

E450+HD6320 это старье изнутри по части видео

Нет, это видеокарты на чипах Evergreen.

но драйвер будет именно новый?

Да, драйвер новый.

это легаси или не легаси?

Вот legacy (fglrx 8.97 с бэкпортами) вот не-legacy (fglrx 8.98 и новее).

RussianNeuroMancer ★★★★★ ()
Последнее исправление: RussianNeuroMancer (всего исправлений: 1)
Ответ на: комментарий от winddos

Читайте стартовый пост. ТС'у нужно именно 4.2.

carasin ★★★★★ ()
Ответ на: комментарий от carasin

судя по http://feedback.wildfiregames.com/report/opengl/device/Radeon%20HD%206320%20Graphics HD6320 как раз имеет поддержку OpenGL 4.2

хочу купить просто ноут всего за 13К с этой видеокартой, а мне надо для работы самый дешевый, и видеокарта не для игр - самая дохлая сойдет, но тем не менее чтобы видеокарта поддерживала OpenGL 4.2 и на ней работали современные графические движки и именно под Linux

I-Love-Microsoft ★★★★★ ()
Последнее исправление: I-Love-Microsoft (всего исправлений: 2)
Ответ на: комментарий от I-Love-Microsoft

Вроде, начиная с серии HD 5000, в Radeon'ах есть поддержка OpenGL 4.x.

carasin ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

да, у меня проблем с этими видеокартами под Линакс нету.

x0r ★★★★★ ()
Ответ на: комментарий от winddos

Ну я как бы о том, что отсутствие свежего OGL в месе не о чем не говорит и никак не мешает юзать эти карты на 100%

0/10

x0r ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

[cat@Monster ~]$ glxinfo | grep OpenGL
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 680/PCIe/SSE2
OpenGL version string: 4.2.0 NVIDIA 302.17
OpenGL shading language version string: 4.20 NVIDIA via Cg compiler


если тебе правда нужен рабочий opengl, бери кеплер или ферми.
с остальным будет секас. :)
если на 4.2 можно забить, лучшим выбором будет intel hd4000.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Есть еще legacy для всех хд до 4к серии включительно. Но оно еще в стадии бета.

no-steam ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.